%global momorel 1

%define fontname kacst
%define fontdir %{_datadir}/fonts/%{fontname}

Name: %{fontname}-fonts
Version: 2.0
Release: %{momorel}m%{?dist}
License: GPLv2
Source0: http://dl.sourceforge.net/sourceforge/arabeyes/kacst_fonts_%{version}.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: dos2unix
Group: User Interface/X
Summary: Fonts for arabic from arabeyes project 
URL: http://www.arabeyes.org/resources.php
Requires: fontpackages-filesystem

%description
This package contains fonts for the display of Arabic 
from the King Abdulaziz City for Science & Technology(kacst).

%prep
%setup -q -n KacstArabicFonts-%{version}
find . -not -name \*.ttf -type f -exec dos2unix -k {} \;

%build
echo "Nothing to do in Build."

%install
rm -rf %{buildroot} 

install -m 0755 -d %{buildroot}%{fontdir}
install -m 0644 -p *.ttf %{buildroot}%{fontdir}

%clean
rm -rf %{buildroot}

%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{fontdir} 
fi

%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{fontdir}
  fi
fi

%files
%defattr(-,root,root,-)
%doc Copyright LICENSE README
%dir %{fontdir}
%{fontdir}/*.ttf

%changelog
* Sat May 30 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0-1m)
- update to 2.0

* Fri Jan 23 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.6.2-3m)
- rebuild against fontpackages-filesystem

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.6.2-2m)
- rebuild against rpm-4.6

* Sun Apr 20 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (1.6.2-1m)
- import from Fedora

* Mon Oct 15 2007 Rahul Bhalerao <rbhalera@redhat.com> - 1.6.2-2.fc8
- Used dos2unix

* Thu Oct 12 2007 Rahul Bhalerao <rbhalera@redhat.com> - 1.6.2-1.fc8
- Initial Packaging
